Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2007-4475

Overview

Vulnerability Score 9.3 9.3
CVE Id CVE-2007-4475
Last Modified 08 Apr 2009 01:14:21
Published 01 Apr 2009 02:30:00
Confidentiality Impact COMPLETE COMPLETE
Integrity Impact COMPLETE COMPLETE
Availability Impact COMPLETE COMPLETE
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2007-4475

Summary

Stack-based buffer overflow in EAI WebViewer3D ActiveX control (webviewer3d.dll) in SAP AG SAPgui before 7.10 Patch Level 9 allows remote attackers to execute arbitrary code via a long argument to the SaveViewToSessionFile method.

Vulnerable Systems

Application

  • Sapgui

  • Sapgui 4.6

  • Sapgui 4.6a

  • Sapgui 4.6b

  • Sapgui 4.6c

  • Sapgui 4.6d

  • Sapgui 6.40

  • Sapgui 7.10


References

CERT-VN - VU#985449

MISC - https://service.sap.com/sap/support/notes/1153794

XF - sapgui-eaiwebviewer3D-webviewer3d-activex-bo(49543)

VUPEN - ADV-2009-0892

BID - 34310

SECUNIA - 34559


Last Updated: 27 May 2016 10:45:52